%%Mov3

dataname = sprintf('../Fig4CD/Fig4CDdata/Fig4CD_sig0.001eta0.000_tn20.00_trail1.mat');
res = load(dataname);
Za = res.results.Za;
kymoA20 = squeeze(Za)';

dataname = sprintf('../Fig4CD/Fig4CDdata/Fig4CD_sig0.001eta0.000_tn100.00_trail1.mat');
res = load(dataname);
Za = res.results.Za;
kymoA100 = squeeze(Za)';

%%

GIF_filename = sprintf('Mov3.gif');
h = figure('Renderer', 'painters', 'Position', [60 60 512 512]);%imgSize(2) imgSize(1)]);
ax = axes('Position', [0.1 0.1 0.8 0.8]);

for t = 1:5:size(kymoA20,1)
    ax1 = subplot(2,1,1);
    plot(kymoA20(t,1:100),'Color','r');
    ylim([0,50]);
    xlabel('cell position in x-axis (cell number)','fontSize',12);
    ylabel('[A] (nM)','fontSize',12);
    titlename1 = sprintf('Propagation failure');
    titletime = sprintf('t = %04.1f hou',(t-1)*0.1);
    if (t-1)*0.1 <20
        titlename2 = strcat(titletime,'r (noise-free)');
    else
        titlename2 = strcat(titletime,'r (temporal noise \sigma = 0.001)');
    end
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);
    
    ax2 = subplot(2,1,2);
    plot(kymoA100(t,1:100),'Color','r');
    ylim([0,50]);
    xlabel('cell position in x-axis (cell number)','fontSize',12);
    ylabel('[A] (nM)','fontSize',12);
    titlename1 = sprintf('Regularity loss');
    titlename2 = sprintf('t = %04.1f hour (noise-free)',(t-1)*0.1);
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);

    frame = getframe(h);
    im = frame2im(frame); 
    [imind,cm] = rgb2ind(im,256,'nodither');
    if t == 1
        imwrite(imind,cm,GIF_filename,'gif', 'Loopcount',inf);
    end
    imwrite(imind,cm,GIF_filename,'gif', 'WriteMode','append'); 

end
