%% Mov4

dataname = sprintf('../Fig4E5F6E/inhibitionRelease/IRdata/Dr3.60_t600_reflective_LA_sig0.00000000eta0.00000000_1x400_trail1.mat');
res = load(dataname);
Za_0 = squeeze(res.results.Za)';
dataname = sprintf('../Fig4E5F6E/inhibitionRelease/IRdata/Dr3.60_t600_reflective_LA_sig0.00000000eta0.01000000_1x400_trail1.mat');
res = load(dataname);
Za_eta = squeeze(res.results.Za)';
dataname = sprintf('../Fig4E5F6E/inhibitionRelease/IRdata/Dr3.60_t600_reflective_LA_sig0.01000000eta0.00000000_1x400_trail1.mat');
res = load(dataname);
Za_sig = squeeze(res.results.Za)';


whitered = [linspace(1,1,256); linspace(1,0.3,256); linspace(1,0.3,256)]';
GIF_filename = sprintf('Mov4.gif');
h = figure('Renderer', 'painters', 'Position', [60 60 512 512]);%imgSize(2) imgSize(1)]);
ax = axes('Position', [0.1 0.1 0.8 0.8]);

for t = 1:10:751
    ax1 = subplot(3,1,1);
    imagesc(Za_0(t,1:100));
    colormap(ax1,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (cell number)','fontSize',12);
    ylabel('Noise free','fontSize',12);
    titlename1 = sprintf('1-D simulation of Inhibition-release patterning');
    titlename2 = sprintf('[A] (nM) at t = %04.1f hour',(t-1)*0.2);
    formattedText = {strcat('\fontsize{16}',titlename1); strcat('\fontsize{12}',titlename2)};
    title(formattedText);
    ax2 = subplot(3,1,2);
    imagesc(Za_eta(t,1:100));
    colormap(ax2,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (cell number)','fontSize',12);
    ylabel('Spatial noise \eta = 0.01','fontSize',12);
    ax3 = subplot(3,1,3);
    imagesc(Za_sig(t,1:100));
    colormap(ax3,whitered); 
    colorbar;
    caxis manual;
    caxis([0 50]);
    xlabel('cell position in x-axis (cell number)','fontSize',12);
    ylabel('Temporal noise \sigma = 0.01','fontSize',12);

    frame = getframe(h);
    im = frame2im(frame); 
    [imind,cm] = rgb2ind(im,256,'nodither');
    if t == 1
        imwrite(imind,cm,GIF_filename,'gif', 'Loopcount',inf);
    end
    imwrite(imind,cm,GIF_filename,'gif', 'WriteMode','append'); 

end